…Chaos! Diese Unterscheidung zwischen Joomla 1.7 und 2.5.x Version ist nervig. Joomla 2.5.x nutzt eine neuere PH-Version als die meines Host-Providers. Joomla 1.7 läuft da ok, allerdings momentan nur in der 1.7.0 Version. Seit Joomla 1.6 ist eine Update-Funktion eingebaut, diese würde ich auch gerne zum Updaten auf die neuste 1.7.x-Version verwenden. Rufe ich aber das Update in dem Joomla-Administrator, so informiert mich eine Meldung, dass die PHP allow_url_fopen Option deaktiviert ist. Suche ich nun nach diesem String und Joomla Update in google, so finde ich wiederum ein Seite, die besagt: keine gute Idee… deaktiviere es.

Was nun… ?

Auch in Joomla Foren scheint das Thema “Update” sich auf  das Update von 1.7 nach 2.5 zu beziehen.

Auch das Update auf die neuste 1.7.4-Version scheint da zu sein. Und dies kann entweder komplett oder als Upgrade installiert werden. Im  Beitrag stehen sogar Informationen über einen Link. Nur zu dumm, wenn der Link inzwischen nur den Update nach 2.5.x behandelt. Mann!

Heisst das eventuell, dass der Update nur noch von 1.7.x nach 2.5.x hilft? Auch diese Info wäre hilfreich, blöd dass sie nirgends zu finden ist.

Nutzt man, um das Chaos zu maximieren, nicht die Deutsche Joomla Seite, sondern nutzt die www.joomla.org, da macht man wieder rum eine Unterscheidung zwischen 1.5 und 2.5.x Au weia…

UPDATE: Wie es sich herausstellt, kann man updaten, indem man die update-Zip herunterlädt, bei sich expandiert, in den tmp Ordner der Joomla Konfiguration hoch lädt und dann diesen “Pfad” beim Installieren über den Administrator anwählt. Ok, gut zu wissen. Weiter geht’s